MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000328XdebugUsage problems (Wrong Results)public2007-10-28 17:532009-12-28 17:34
Reporterderick 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000328: Private properties are incorrectly enumerated in case of extended classes
DescriptionIn case a class is inheriting another class, and the parent class has private properties - those private properties are still part of the variable renderings as done by xdebug_object_element_export, xdebug_object_element_export_xml, xdebug_object_element_export_xml_node and xdebug_object_element_export_fancy,
Additional Informationxdebug_get_property_info already returns the facet, it should also check the class name and tell the calling function whether to include the property or not.
TagsNo tags attached.
Operating System
PHP Version5.2-dev
Attached Files

- Relationships

-  Notes
(0001215)
derick (administrator)
2009-12-28 17:34

Fixed in SVN rev. 3168.

- Issue History
Date Modified Username Field Change
2007-10-28 17:53 derick New Issue
2009-12-28 17:34 derick Note Added: 0001215
2009-12-28 17:34 derick Status new => closed
2009-12-28 17:34 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker